Package com.collibra.dgc.core.api.dto.meta.attributetype

# Class AddAttributeTypeRequest.Builder

Object
Builder

Enclosing class:
  `AddAttributeTypeRequest`

public static final class AddAttributeTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddAttributeTypeRequest.Builder`
  `allowedValues(List<String> allowedValues)`
  List of allowed values.
  `AddAttributeTypeRequest`
  `build()`
  `AddAttributeTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddAttributeTypeRequest.Builder`
  `description(String description)`
  The description of the new Attribute Type.
  `AddAttributeTypeRequest.Builder`
  `id(UUID id)`
  The ID of the new Attribute Type.
  `AddAttributeTypeRequest.Builder`
  `isInteger(Boolean isInteger)`
  Whether Attribute Type holds an integer value.
  `AddAttributeTypeRequest.Builder`
  `kind(AttributeKind kind)`
  Required. The kind of the new Attribute Type.
  `AddAttributeTypeRequest.Builder`
  `language(String language)`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `AddAttributeTypeRequest.Builder`
  `name(String name)`
  Required. The name of the new Attribute Type.
  `AddAttributeTypeRequest.Builder`
  `publicId(String publicId)`
  The public id that will be assigned to the new Attribute Type.
  `AddAttributeTypeRequest.Builder`
  `statisticsEnabled(Boolean statisticsEnabled)`
  Whether statistics should be enabled.
  `AddAttributeTypeRequest.Builder`
  `stringType(StringType stringType)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddAttributeTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddAttributeTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public AddAttributeTypeRequest.Builder id(UUID id)
    The ID of the new Attribute Type. Should be unique within all Attribute Types.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

    Returns:
      `this`.

  - ### publicId

    public AddAttributeTypeRequest.Builder publicId(String publicId)
    The public id that will be assigned to the new Attribute Type.

    It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

    Returns:
      `this`.

  - ### name

    public AddAttributeTypeRequest.Builder name(String name)
    Required. The name of the new Attribute Type. Should be unique within all Attribute Types.
    Returns:
      `this`.

  - ### description

    public AddAttributeTypeRequest.Builder description(String description)
    The description of the new Attribute Type.
    Returns:
      `this`.

  - ### kind

    public AddAttributeTypeRequest.Builder kind(AttributeKind kind)
    Required. The kind of the new Attribute Type.
    Returns:
      `this`.

  - ### language

    @Deprecated public AddAttributeTypeRequest.Builder language(String language)
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The script language of the new Attribute Type, for script Attribute Types.
    Returns:
      `this`.

  - ### statisticsEnabled

    public AddAttributeTypeRequest.Builder statisticsEnabled(Boolean statisticsEnabled)
    Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
    Returns:
      `this`.

  - ### isInteger

    public AddAttributeTypeRequest.Builder isInteger(Boolean isInteger)
    Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".
    Returns:
      `this`.

  - ### allowedValues

    public AddAttributeTypeRequest.Builder allowedValues(List<String> allowedValues)
    List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List".
    Returns:
      `this`.

  - ### stringType

    public AddAttributeTypeRequest.Builder stringType(StringType stringType)
    Returns:
      `this`.

  - ### build

    public AddAttributeTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`